summaryrefslogtreecommitdiffstats
path: root/debian/tests/dynamically-add-source
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 16:09:42 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 16:09:42 +0000
commit33895c7300d6e43e4d3df30cb192d17891d799be (patch)
tree9415c122d9b49604b0e3748f4c41b2bd937f63ba /debian/tests/dynamically-add-source
parentAdding upstream version 4.3. (diff)
downloadchrony-33895c7300d6e43e4d3df30cb192d17891d799be.tar.xz
chrony-33895c7300d6e43e4d3df30cb192d17891d799be.zip
Adding debian version 4.3-2+deb12u1.debian/4.3-2+deb12u1debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to '')
-rw-r--r--debian/tests/dynamically-add-source27
1 files changed, 27 insertions, 0 deletions
diff --git a/debian/tests/dynamically-add-source b/debian/tests/dynamically-add-source
new file mode 100644
index 0000000..1e4c160
--- /dev/null
+++ b/debian/tests/dynamically-add-source
@@ -0,0 +1,27 @@
+#!/bin/sh
+# Make sure that NTP sources from /etc/chrony/sources.d are usable.
+
+set -e
+
+. debian/tests/helper-functions
+
+server_addr="192.0.2.1"
+
+printf "Preparing chronyd configuration: "
+__no_system_clock_control
+__restart_chronyd && __test_ok || __test_skip
+
+printf "Adding a dummy server to the list of NTP sources: "
+printf "server $server_addr\n" > /etc/chrony/sources.d/dummy-server.sources && __test_ok || __test_fail
+
+printf "Reloading NTP sources: "
+__reload_sources
+
+printf "Checking for dummy server availability: "
+__check_sources "$server_addr"
+
+printf "Checking for dummy server availability after restarting chronyd: "
+__restart_chronyd
+__check_sources "$server_addr"
+
+exit 0